Skip to main content

Get Data Contract by ID

Retrieve a single data contract by its unique integer ID.

Path Parameters
id int32 — REQUIRED
Responses
200

The data contract with the specified ID.

Schema — OPTIONAL
specVersion string — OPTIONAL
catalogURL string — OPTIONAL
termsAndConditions object — OPTIONAL
dataSchemaContract int32[] — OPTIONAL
dataValidationContract int32[] — OPTIONAL
dataMetricsContract int32[] — OPTIONAL
dataQualityContract int32[] — OPTIONAL
governancePoliciesContract int32[] — OPTIONAL
stakeholders object — OPTIONAL
producers string[] — OPTIONAL
consumers string[] — OPTIONAL
operators string[] — OPTIONAL
admins string[] — OPTIONAL
notifications object — OPTIONAL
emails string[] — OPTIONAL
slack_channels string[] — OPTIONAL
webhook_urls string[] — OPTIONAL
sampleValues string[] — OPTIONAL
usageInfo string — OPTIONAL
json string — OPTIONAL
version string — OPTIONAL
active boolean — OPTIONAL
assetCreatedDate date-time — OPTIONAL
assetUpdatedDate date-time — OPTIONAL
createdTime int64 — OPTIONAL
updatedTime int64 — OPTIONAL
createdBy string — OPTIONAL
updatedBy string — OPTIONAL
owner string — OPTIONAL
tags string[] — OPTIONAL
id int32 — OPTIONAL
name string — OPTIONAL
description string — OPTIONAL
datasetId string — OPTIONAL
columns string — OPTIONAL
successMsg string — OPTIONAL
failureMsg string — OPTIONAL
onboardingStatus string — OPTIONAL

Possible values: [drafted, deployed, paused, under_review, approved]

executionStatus string — OPTIONAL

Possible values: [passing, failing, pending]

criticalityLevel string — OPTIONAL

Possible values: [high, moderate, less, not]

401

Unauthorized. Authentication required.

404

Data contract with the specified ID was not found.